> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Self

> Get information about the authenticated API key

Requires an enterprise admin personal API key.

Returns information about the authenticated API key, including the key ID, associated user ID, user email, and organization ID.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/self
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/self:
    get:
      tags:
        - self
        - self
      summary: Get Self
      operationId: handle_get_self_v2_enterprise_self_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfResponse'
          description: Successful Response
components:
  schemas:
    SelfResponse:
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        org_id:
          title: Org Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - api_key_id
        - user_id
        - user_email
        - org_id
      title: SelfResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````